import tinysql

from .base import DEFAULT_CONFIG, RELAY_SOFTWARE, TABLES
from .connection import Connection
from .rows import ROWS


class Database(tinysql.Database):
	def __init__(self, **config):
		tinysql.Database.__init__(self, **config,
			connection_class = Connection,
			row_classes = ROWS
		)


	def create(self):
		self.create_database(TABLES)
